Bug 152854 - [patch] Update x11-toolkits/irrlicht to 1.7.2
Summary: [patch] Update x11-toolkits/irrlicht to 1.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-05 21:30 UTC by Pascal Stumpf
Modified: 2010-12-13 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (16.19 KB, patch)
2010-12-05 21:30 UTC, Pascal Stumpf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal Stumpf 2010-12-05 21:30:08 UTC
This updates Irrlicht to the latest version, required for instance by the upcoming release of SuperTuxKart.
Comment 1 Edwin Groothuis freebsd_committer 2010-12-05 21:30:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Pascal Stumpf 2010-12-06 11:12:48 UTC
Seems like I forgot one patch.

--- include/IrrCompileConfig.h.orig     2010-12-06 12:08:36.000000000 
+0100
+++ include/IrrCompileConfig.h  2010-12-06 12:09:23.000000000 +0100
@@ -176,7 +176,7 @@ the engine will no longer read .jpeg ima
 //! Define _IRR_USE_NON_SYSTEM_JPEG_LIB_ to let irrlicht use the 
jpeglib which comes with irrlicht.
 /** If this is commented out, Irrlicht will try to compile using the 
jpeg lib installed in the system.
        This is only used when _IRR_COMPILE_WITH_LIBJPEG_ is defined. */
-#define _IRR_USE_NON_SYSTEM_JPEG_LIB_
+//#define _IRR_USE_NON_SYSTEM_JPEG_LIB_
 
 
 //! Define _IRR_COMPILE_WITH_LIBPNG_ to enable compiling the engine 
using libpng.
@@ -187,7 +187,7 @@ the engine will no longer read .png imag
 //! Define _IRR_USE_NON_SYSTEM_LIBPNG_ to let irrlicht use the libpng 
which comes with irrlicht.
 /** If this is commented out, Irrlicht will try to compile using the 
libpng installed in the system.
        This is only used when _IRR_COMPILE_WITH_LIBPNG_ is defined. */
-#define _IRR_USE_NON_SYSTEM_LIB_PNG_
+//#define _IRR_USE_NON_SYSTEM_LIB_PNG_
 
 
 //! Define _IRR_D3D_NO_SHADER_DEBUGGING to disable shader debugging in 
D3D9
@@ -348,7 +348,7 @@ ones. */
 /** If this is commented out, Irrlicht will try to compile using the 
zlib
 installed on the system. This is only used when _IRR_COMPILE_WITH_ZLIB_ 
is
 defined. */
-#define _IRR_USE_NON_SYSTEM_ZLIB_
+//#define _IRR_USE_NON_SYSTEM_ZLIB_
 //! Define _IRR_COMPILE_WITH_ZIP_ENCRYPTION_ if you want to read AES-
encrypted ZIP archives
 #define _IRR_COMPILE_WITH_ZIP_ENCRYPTION_
 //! Define _IRR_COMPILE_WITH_BZIP2_ if you want to support bzip2 
compressed zip archives
Comment 3 kamikaze 2010-12-12 19:27:00 UTC
Cannot apply, probably copy'n'paste breakage. Lots of spaces
where tabs ought to be.

Regards
Comment 4 dfilter service freebsd_committer 2010-12-13 20:04:48 UTC
acm         2010-12-13 20:04:36 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/irrlicht Makefile distinfo pkg-plist 
    x11-toolkits/irrlicht/files patch-include_IrrCompileConfig.h 
                                patch-source-Irrlicht_Makefile 
  Removed files:
    x11-toolkits/irrlicht/files 
                                patch-source-Irrlicht_COSOperator.cpp 
  Log:
  - Update to 1.7.2
  
  PR:             152854
  Submitted by:   Pascal Stumpf <Pascal.Stumpf at cubes.de>
  
  Revision  Changes    Path
  1.26      +2 -3      ports/x11-toolkits/irrlicht/Makefile
  1.12      +2 -3      ports/x11-toolkits/irrlicht/distinfo
  1.5       +21 -13    ports/x11-toolkits/irrlicht/files/patch-include_IrrCompileConfig.h
  1.6       +0 -23     ports/x11-toolkits/irrlicht/files/patch-source-Irrlicht_COSOperator.cpp (dead)
  1.8       +38 -35    ports/x11-toolkits/irrlicht/files/patch-source-Irrlicht_Makefile
  1.10      +7 -0      ports/x11-toolkits/irrlicht/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Jose Alonso Cardenas Marquez freebsd_committer 2010-12-13 20:04:50 UTC
State Changed
From-To: open->closed

- Committed with few modifications, thanks!!